KEMailSettings class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KEMailSettings Class Reference

This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly. More...

`#include <kemailsettings.h>`

List of all members.

## Public Types
enum | Setting { ClientProgram, ClientTerminal, RealName, EmailAddress, ReplyToAddress, Organization, OutServer, OutServerLogin, OutServerPass, OutServerType, OutServerCommand, OutServerTLS, InServer, InServerLogin, InServerPass, InServerType, InServerMBXType, InServerTLS }
| The list of settings that I thought of when I wrote this class. More...
enum | Extension { POP3, SMTP, OTHER }
| The various extensions allowed. More...
## Public Member Functions
| KEMailSettings ()
| Default constructor, just sets things up.
| ~KEMailSettings ()
| Default destructor, nothing to see here.
QStringList | profiles () const
| List of profiles available.
QString | currentProfileName () const
void | setProfile (const QString &)
| Change the current profile.
QString | defaultProfileName () const
void | setDefault (const QString &)
| New default..
QString | getSetting (KEMailSettings::Setting s)
| Get a "basic" setting, one that I've already thought of..
void | setSetting (KEMailSettings::Setting s, const QString &v)
QString | getExtendedSetting (KEMailSettings::Extension e, const QString &s)
| Use this when trying to get at currently unimplemented settings such as POP3 authentication methods, or mail specific TLS settings or something I haven't already thought of.
void | setExtendedSetting (KEMailSettings::Extension e, const QString &s, const QString &v)
| Use this when trying to get at currently unimplemented settings such as POP3 authentication methods, or mail specific TLS settings or something I haven't already thought of.

## Detailed Description

This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly.

Author:
  Alex Zepeda zipzippy@sonic.net

Definition at line 45 of file kemailsettings.h.

## Member Enumeration Documentation

enum KEMailSettings::Setting

| The list of settings that I thought of when I wrote this class. Any extra settings thought of later can be accessed easily with getExtendedSetting and setExtendedSetting. See also: getExtendedSetting. setExtendedSetting. Definition at line 54 of file kemailsettings.h.

enum KEMailSettings::Extension

| The various extensions allowed. Definition at line 78 of file kemailsettings.h.

## Constructor & Destructor Documentation

KEMailSettings::KEMailSettings | ( |  | ) |

| Default constructor, just sets things up. Definition at line 241 of file kemailsettings.cpp. References defaultProfileName(), setDefault(), and setProfile().

KEMailSettings::~KEMailSettings | ( |  | ) |

| Default destructor, nothing to see here. Definition at line 271 of file kemailsettings.cpp.

## Member Function Documentation

QStringList KEMailSettings::profiles | ( |  | ) | const

| List of profiles available. Definition at line 236 of file kemailsettings.cpp.

QString KEMailSettings::currentProfileName | ( |  | ) | const

| Returns: what profile we're currently using Definition at line 231 of file kemailsettings.cpp.

void KEMailSettings::setProfile | ( | const QString & |  | ) |

| Change the current profile. Definition at line 218 of file kemailsettings.cpp. References QString::append(). Referenced by KEMailSettings().

QString KEMailSettings::defaultProfileName | ( |  | ) | const

| Returns: the name of the one that's currently default QString::null if none Definition at line 44 of file kemailsettings.cpp. Referenced by KEMailSettings().

void KEMailSettings::setDefault | ( | const QString & |  | ) |

| New default.. Definition at line 208 of file kemailsettings.cpp. Referenced by KEMailSettings().

QString KEMailSettings::getSetting | ( | KEMailSettings::Setting | s | ) |

| Get a "basic" setting, one that I've already thought of.. Definition at line 49 of file kemailsettings.cpp.

QString KEMailSettings::getExtendedSetting | ( | KEMailSettings::Extension | e,
|  | const QString & | s
| ) |

| Use this when trying to get at currently unimplemented settings such as POP3 authentication methods, or mail specific TLS settings or something I haven't already thought of.

void KEMailSettings::setExtendedSetting | ( | KEMailSettings::Extension | e,
|  | const QString & | s,
|  | const QString & | v
| ) |

| Use this when trying to get at currently unimplemented settings such as POP3 authentication methods, or mail specific TLS settings or something I haven't already thought of.

The documentation for this class was generated from the following files:

- kemailsettings.h
- kemailsettings.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001